CC	= cc
AS	= objasm
LINK	= link

Cflags = -c -Otime -Ospace -depend !Depend -IC:,OSLib: -throwback -ffahu -DDIRECTSCREEN -c90
Linkflags = -aif -c++ -o $@
ASflags = -throwback -depend !Depend -pd "ARM32 SETA 1"

all:	manic

.SUFFIXES: .c .s .o
.s.o:; $(AS) $(ASflags) $<
.c.o:; $(CC) $(Cflags) $<

DATA_OBJ = miscdata.o.end miscdata.o.misc

GAME_OBJ = o.cmdline o.core o.demo o.end o.game o.graph o.loading o.main \
	   o.manic o.misc o.titles o.version

RO_OBJ	= o.init o.frontend o.ROsound o.ROsupport o.mm-anim

OBJ	= $(RO_OBJ) $(GAME_OBJ)
LIBS	= C:o.stubsg OSLib:o.OSLib32

manic:	$(OBJ)
	$(LINK) $(Linkflags) $(OBJ) $(LIBS)

clean:
	ifthere o.* then wipe o.* ~cfr~v
	remove manic

# User-editable dependencies:
data.ColTable data.VolScale: data.MakeTables
	run <Prefix$Dir>.systems.riscos.data.MakeTables

o.mm-anim:	systems.riscos.data.mm-anim
	datatoaof -f systems.riscos.data.mm-anim -o o.mm-anim -D mm_anim -N -R -DP

o.end:		miscdata.c.end
	$(CC) $(Cflags) miscdata.c.end
o.misc:		miscdata.c.misc
	$(CC) $(Cflags) miscdata.c.misc

o.init:		systems.riscos.c.init
	$(CC) $(Cflags) systems.riscos.c.init
o.frontend:	systems.riscos.c.frontend
	$(CC) $(Cflags) systems.riscos.c.frontend
o.ROsound:	systems.riscos.c.ROsound
	$(CC) $(Cflags) systems.riscos.c.ROsound
o.ROsupport:	systems.riscos.s.ROsupport systems.riscos.data.ColTable
	$(AS) $(ASflags) systems.riscos.s.ROsupport

# Dynamic dependencies:
